Debian Bug report logs - #712967
ITP: ruby-hashery -- facets-bread collection of Hash-like classes

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Cédric Boutillier <boutil@debian.org>

Date: Fri, 21 Jun 2013 09:51:07 UTC

Owned by: "Cédric Boutillier" <boutil@debian.org>

Severity: wishlist

Fixed in version ruby-hashery/2.1.1-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>:
Bug#712967; Package wnpp. (Fri, 21 Jun 2013 09:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>. (Fri, 21 Jun 2013 09:51:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-hashery -- facets-bread collection of Hash-like classes
Date: Fri, 21 Jun 2013 11:48:59 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: "Cédric Boutillier" <boutil@debian.org>

* Package name    : ruby-hashery
  Version         : 2.1.0
  Upstream Author : Name <somebody@example.org>
* URL             : http://rubyworks.github.com/hashery
* License         : Expat or BSD-2-clause. Needs clarification from upstream
  Programming Lang: Ruby
  Description     : facets-bread collection of Hash-like classes

 The Hashery is a tight collection of Hash-like classes. Included among its many
 offerings are the auto-sorting Dictionary class, the efficient LRUHash, the
 flexible OpenHash and the convenient KeyHash. Nearly every class is a subclass
 of the CRUDHash which defines a CRUD model on top of Ruby's standard Hash
 making it a snap to subclass and augment to fit any specific use case.

 This is a dependency for a newer version of ruby-pdf-reader.

 Cheers,

 Cédric
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Tue, 18 Feb 2014 16:03:05 GMT) Full text and rfc822 format available.

Notification sent to Cédric Boutillier <boutil@debian.org>:
Bug acknowledged by developer. (Tue, 18 Feb 2014 16:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 712967-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 712967-close@bugs.debian.org
Subject: Bug#712967: fixed in ruby-hashery 2.1.1-1
Date: Tue, 18 Feb 2014 16:00:06 +0000
Source: ruby-hashery
Source-Version: 2.1.1-1

We believe that the bug you reported is fixed in the latest version of
ruby-hashery, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712967@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-hashery package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 10 Feb 2014 23:59:15 +0100
Source: ruby-hashery
Binary: ruby-hashery
Architecture: source all
Version: 2.1.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-hashery - facets-bread collection of Hash-like classes
Closes: 712967
Changes: 
 ruby-hashery (2.1.1-1) unstable; urgency=medium
 .
   * Initial release (Closes: #712967)
Checksums-Sha1: 
 49179da0e678f9fe131cd3d13b5ea50f3e30c35a 2026 ruby-hashery_2.1.1-1.dsc
 64fba10b4c4d41337072b166b72a8a4d5d9b577c 39733 ruby-hashery_2.1.1.orig.tar.gz
 e3e044f06d9c6c3846d6f4c7403015dc1187b6a8 2628 ruby-hashery_2.1.1-1.debian.tar.xz
 0f31d723bdf6be10b4976c21c795bca2acbdeba8 32016 ruby-hashery_2.1.1-1_all.deb
Checksums-Sha256: 
 9343b4a58226bf4bec73b8b83b6e0f41e498b98847798049eb65e1b7a3deb7eb 2026 ruby-hashery_2.1.1-1.dsc
 e805e137a5207d72b8086ded4c8e35b5902885a685c99c82005427f7335052df 39733 ruby-hashery_2.1.1.orig.tar.gz
 f0b57b38c6e8d6a8b7270b911d1c72bc63d564617422944d49e3f454fe24e1f7 2628 ruby-hashery_2.1.1-1.debian.tar.xz
 c166f238f086c87e6713cd20185a71f854060ebceda713279b72ee093ac1eb10 32016 ruby-hashery_2.1.1-1_all.deb
Files: 
 0721b5a1fc1e7649d121365d1eb0a6ab 2026 ruby optional ruby-hashery_2.1.1-1.dsc
 1e0009a534c6c9632c2ffffe459dbbf9 39733 ruby optional ruby-hashery_2.1.1.orig.tar.gz
 c37a76018b2532bbf30f7ae131d01c25 2628 ruby optional ruby-hashery_2.1.1-1.debian.tar.xz
 75ae3c498e36cefd333b11d59c1f0a8f 32016 ruby optional ruby-hashery_2.1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS+WVLAAoJEKkHZFuPn48JRfgP/1Ul0JVYKo+bFQuqWHiBCSXK
XO9CN/dbWFui71S60QWYX/HJpnoMkvU3RuEpCujBQXT+f74hmVlfW3XVHNaFDt/B
EbbDEwK0O2aijpYtiUyupd4JPTFaKXafW/3uWDqB0HS00ujxqhcGWNWGsGrXO9zZ
NVp2GjqSZ8GjamQeb8ZTLv9F/xWrjdUy6RJ+qZ4YGbgXcFScBOAPIrm/SQh+8Xbp
ztKGt46tR7wA97pOef8uvqOpeAQ9KjhZ7WI/SgtcqXR6Y6LjHBdtfIX1rtDeqXGn
FqhRkZgwvlesjQB5IGQwEwP76L51uMCm2uOAwT+dbbaguua6PfURLQe8DM5Csi/4
e0/V9ELmnpTu5DUL1QHkwBMkq9/28BXLt9TjoN8eH8qWecSnkR3Vm1+YSQedy2dX
uxTsxZpQrRfC68zsFlpBPJot3nQmdkJAg3bSQNDJoHyxUACqSK8jUAkj4VbGsM/J
3vbtbKigfRdqjcM8IF+Xuc86dwKR+ea6uwwcqVYHDvL/fLWvSuF7AaifEqsMED9B
EcnDDMcV2YVvtG30/vZ1dmvHfG/xAfyAjBuLKr/hxgC0uxMoLUZeTQBT7uxTzkAV
6Dju5cpTeK/P7wvEVr8Tn0i88uPrT+aQOvNSKTbr1HYWr993cMGcvzWFMln0UmX7
9tM+5i6qeEgyk45agygG
=lJT9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Mar 2014 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:25:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.